List preference profiles
GET /api/PreferenceProfilesAuthentication
Section titled “Authentication”Send your private API key in the X-Api-Key header. Keep it on your server.
Request example
Section titled “Request example”Examples use illustrative values. Set FERRETLY_API_KEY in your server environment for JavaScript, Python, and C#. Replace sample IDs, URLs, and profile values before use.
curl --fail -sS -X GET "https://api.ferretly.com/api/PreferenceProfiles" \ -H "X-Api-Key: YOUR_API_KEY" \ -H "Accept: application/json"const response = await fetch("https://api.ferretly.com/api/PreferenceProfiles", { "method": "GET", "headers": { "X-Api-Key": process.env.FERRETLY_API_KEY, "Accept": "application/json" }});if (!response.ok) throw new Error("HTTP " + response.status);console.log(await response.json());import osimport requests
response = requests.request( "GET", "https://api.ferretly.com/api/PreferenceProfiles", headers={"X-Api-Key":os.environ["FERRETLY_API_KEY"],"Accept":"application/json"}, timeout=30,)response.raise_for_status()print(response.json())using System;using System.IO;using System.Net.Http;using System.Text;
using var http = new HttpClient();using var request = new HttpRequestMessage(new HttpMethod("GET"), "https://api.ferretly.com/api/PreferenceProfiles");request.Headers.Add("X-Api-Key", Environment.GetEnvironmentVariable("FERRETLY_API_KEY"));request.Headers.Accept.ParseAdd("application/json");using var response = await http.SendAsync(request);response.EnsureSuccessStatusCode();Console.WriteLine(await response.Content.ReadAsStringAsync());Responses
Section titled “Responses”Success
text/plain: array of PreferenceProfileapplication/json: array of PreferenceProfiletext/json: array of PreferenceProfile
The subscriber or organization identifier is missing from the request credentials.
Response example
Section titled “Response example”Illustrative, shortened HTTP 200 response. Optional fields can be absent or null.
[ { "id": "11111111-1111-4111-8111-111111111111", "profileName": "Integration example", "isOrganizationDefaultProfile": false, "isPrivateProfile": false }]Response properties
| Property | Type | Description |
|---|---|---|
id | string (uuid) | The ID of the preferences profile |
profileName | string | The name of the preferences profile Nullable. |
isOrganizationDefaultProfile | boolean | A boolean indicating whether this profile is the organization’s default profile |
subscriberId | string (uuid) | The ID of the user associated with a private preferences profile. Nullable. |
isPrivateProfile | boolean | A boolean indicating whether this profile is private. |